classification
Title: base64 has old references that should be updated
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: andrei.avk, docs@python, lukasz.langa, miss-islington, p-ganssle, paulehoffman, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2019-04-22 18:33 by paulehoffman, last changed 2021-08-13 11:22 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2336 closed paulehoffman, 2019-04-22 18:33
PR 27700 merged andrei.avk, 2021-08-10 00:00
PR 27759 merged miss-islington, 2021-08-13 10:59
Messages (8)
msg340668 - (view) Author: Paul Hoffman (paulehoffman) * Date: 2019-04-22 18:33
The documentation for base64 library has an RFC that is obsolete.
msg340739 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-04-23 18:25
base64 supports RFC 3548, but not RFC 4648.

=====================================================================
13.  Changes Since RFC 3548

   Added the "base32 extended hex alphabet", needed to preserve sort
   order of encoded data.

   Referenced IMAP for the special Base64 encoding used there.

   Fixed the example copied from RFC 2440.

   Added security consideration about providing a signature for
   cryptoanalysis.

   Added test vectors.

   Fixed typos.
=====================================================================

To support RFC 4648 we need to add support for base 32 encoding with extended hex alphabet (see 16995). Check also that RFC 4648 test vectors are used in the module tests.
msg340740 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-04-23 18:25
See issue16995.
msg340742 - (view) Author: Paul Hoffman (paulehoffman) * Date: 2019-04-23 19:16
We can update the references without supporting every mode given in the new document. It is common for people to support RFC X without supporting every possible option of RFC X.

Having said that, I think adding extended hex makes good sense, if possible.
msg375140 - (view) Author: Paul Ganssle (p-ganssle) * (Python committer) Date: 2020-08-10 19:02
Now that issue #16995 is resolved, I think we can move forward with updating the text.
msg399522 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-08-13 10:58
New changeset e43b9bbc31c22a0d97dc4fc420300e40c2d74166 by andrei kulakov in branch 'main':
bpo-36700: [doc] Update base64 RFC references to RFC 4648 (GH-27700)
https://github.com/python/cpython/commit/e43b9bbc31c22a0d97dc4fc420300e40c2d74166
msg399527 - (view) Author: miss-islington (miss-islington) Date: 2021-08-13 11:21
New changeset 16f73c8b5dbe02b4bf7f91ff9dbcd0886529bfe5 by Miss Islington (bot) in branch '3.10':
bpo-36700: [doc] Update base64 RFC references to RFC 4648 (GH-27700)
https://github.com/python/cpython/commit/16f73c8b5dbe02b4bf7f91ff9dbcd0886529bfe5
msg399528 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-08-13 11:22
Thanks for reporting, Paul, and Andrei for the patch! ✨ 🍰 ✨
History
Date User Action Args
2021-08-13 11:22:47lukasz.langasetstatus: open -> closed
resolution: fixed
messages: + msg399528

stage: patch review -> resolved
2021-08-13 11:21:56miss-islingtonsetmessages: + msg399527
2021-08-13 10:59:02miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request26235
2021-08-13 10:58:59lukasz.langasetnosy: + lukasz.langa
messages: + msg399522
2021-08-10 00:00:57andrei.avksetkeywords: + patch
nosy: + andrei.avk

pull_requests: + pull_request26186
stage: patch review
2020-08-10 19:02:54p-gansslesetnosy: + p-ganssle
messages: + msg375140
2019-04-23 19:16:32paulehoffmansetmessages: + msg340742
2019-04-23 18:25:43serhiy.storchakasetmessages: + msg340740
2019-04-23 18:25:22serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg340739
2019-04-22 18:33:12paulehoffmancreate